cdac.medinfo.sdk.hl7282.utils

## Enum EnumMessageCode

- java.lang.Object
- - java.lang.Enum<EnumMessageCode>
  - - cdac.medinfo.sdk.hl7282.utils.EnumMessageCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumMessageCode>

      public enum EnumMessageCode
      extends java.lang.Enum<EnumMessageCode>

  This Enum contains all Message Codes of HL7.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACK` Enum constant of ACK Message Code
    `ADR` Enum constant of ADR Message Code
    `ADT` Enum constant of ADT Message Code
    `BAR` Enum constant of BAR Message Code
    `BPS` Enum constant of BPS Message Code
    `BRP` Enum constant of BRP Message Code
    `BRT` Enum constant of BRT Message Code
    `BTS` Enum constant of BTS Message Code
    `CCF` Enum constant of CCF Message Code
    `CCI` Enum constant of CCI Message Code
    `CCM` Enum constant of CCM Message Code
    `CCQ` Enum constant of CCQ Message Code
    `CCR` Enum constant of CCR Message Code
    `CCU` Enum constant of CCU Message Code
    `CQU` Enum constant of CQU Message Code
    `CRM` Enum constant of CRM Message Code
    `CSU` Enum constant of CSU Message Code
    `DBC` Enum constant of DBC Message Code
    `DBU` Enum constant of DBU Message Code
    `DEL` Enum constant of DEL Message Code
    `DEO` Enum constant of DEO Message Code
    `DER` Enum constant of DER Message Code
    `DFT` Enum constant of DFT Message Code
    `DOC` Enum constant of DOC Message Code
    `DPR` Enum constant of DPR Message Code
    `DRC` Enum constant of DRC Message Code
    `DRG` Enum constant of DRG Message Code
    `DSR` Enum constant of DSR Message Code
    `EAC` Enum constant of EAC Message Code
    `EAN` Enum constant of EAN Message Code
    `EAR` Enum constant of EAR Message Code
    `EDR` Enum constant of EDR Message Code
    `EHC` Enum constant of EHC Message Code
    `EQQ` Enum constant of EQQ Message Code
    `ERP` Enum constant of ERP Message Code
    `ESR` Enum constant of ESR Message Code
    `ESU` Enum constant of ESU Message Code
    `INR` Enum constant of INR Message Code
    `INU` Enum constant of INU Message Code
    `LSR` Enum constant of LSR Message Code
    `LSU` Enum constant of LSU Message Code
    `MCF` Enum constant of MCF Message Code
    `MDM` Enum constant of MDM Message Code
    `MFD` Enum constant of MFD Message Code
    `MFK` Enum constant of MFK Message Code
    `MFN` Enum constant of MFN Message Code
    `MFQ` Enum constant of MFQ Message Code
    `MFR` Enum constant of MFR Message Code
    `NMD` Enum constant of NMD Message Code
    `NMQ` Enum constant of NMQ Message Code
    `NMR` Enum constant of NMR Message Code
    `OMB` Enum constant of OMB Message Code
    `OMD` Enum constant of OMD Message Code
    `OMG` Enum constant of OMG Message Code
    `OMI` Enum constant of OMI Message Code
    `OML` Enum constant of OML Message Code
    `OMN` Enum constant of OMN Message Code
    `OMP` Enum constant of OMP Message Code
    `OMQ` Enum constant of OMQ Message Code
    `OMR` Enum constant of OMR Message Code
    `OMS` Enum constant of OMS Message Code
    `OPL` Enum constant of OPL Message Code
    `OPR` Enum constant of OPR Message Code
    `OPU` Enum constant of OPU Message Code
    `ORA` Enum constant of ORA Message Code
    `ORB` Enum constant of ORB Message Code
    `ORD` Enum constant of ORD Message Code
    `ORF` Enum constant of ORF Message Code
    `ORG` Enum constant of ORG Message Code
    `ORI` Enum constant of ORI Message Code
    `ORL` Enum constant of ORL Message Code
    `ORM` Enum constant of ORM Message Code
    `ORN` Enum constant of ORN Message Code
    `ORP` Enum constant of ORP Message Code
    `ORR` Enum constant of ORR Message Code
    `ORS` Enum constant of ORS Message Code
    `ORU` Enum constant of ORU Message Code
    `ORX` Enum constant of ORX Message Code
    `OSM` Enum constant of OSM Message Code
    `OSQ` Enum constant of OSQ Message Code
    `OSR` Enum constant of OSR Message Code
    `OSU` Enum constant of OSU Message Code
    `OUL` Enum constant of OUL Message Code
    `PEX` Enum constant of PEX Message Code
    `PGL` Enum constant of PGL Message Code
    `PIN` Enum constant of PIN Message Code
    `PMU` Enum constant of PMU Message Code
    `PPG` Enum constant of PPG Message Code
    `PPP` Enum constant of PPP Message Code
    `PPR` Enum constant of PPR Message Code
    `PPT` Enum constant of PPT Message Code
    `PPV` Enum constant of PPV Message Code
    `PRR` Enum constant of PRR Message Code
    `PTR` Enum constant of PTR Message Code
    `QBP` Enum constant of QBP Message Code
    `QCK` Enum constant of QCK Message Code
    `QCN` Enum constant of QCN Message Code
    `QRF` Enum constant of QRY Message Code
    `QRY` Enum constant of QRY Message Code
    `QSB` Enum constant of QSB Message Code
    `QSX` Enum constant of QSX Message Code
    `QVR` Enum constant of QVR Message Code
    `RAR` Enum constant of RAR Message Code
    `RAS` Enum constant of RAS Message Code
    `RCI` Enum constant of RCI Message Code
    `RCL` Enum constant of RCL Message Code
    `RDE` Enum constant of RDE Message Code
    `RDR` Enum constant of RDR Message Code
    `RDS` Enum constant of RDS Message Code
    `RDY` Enum constant of RDY Message Code
    `REF` Enum constant of REF Message Code
    `RER` Enum constant of RER Message Code
    `RGR` Enum constant of RGR Message Code
    `RGV` Enum constant of RGV Message Code
    `ROR` Enum constant of ROR Message Code
    `RPA` Enum constant of RPA Message Code
    `RPI` Enum constant of RPI Message Code
    `RPL` Enum constant of RPL Message Code
    `RPR` Enum constant of RPR Message Code
    `RQA` Enum constant of RQA Message Code
    `RQC` Enum constant of RQC Message Code
    `RQI` Enum constant of RQI Message Code
    `RQP` Enum constant of RQP Message Code
    `RQQ` Enum constant of RQQ Message Code
    `RRA` Enum constant of RRA Message Code
    `RRD` Enum constant of RRD Message Code
    `RRE` Enum constant of RRE Message Code
    `RRG` Enum constant of RRG Message Code
    `RRI` Enum constant of RRI Message Code
    `RSP` Enum constant of RSP Message Code
    `RTB` Enum constant of RTB Message Code
    `SCN` Enum constant of SCN Message Code
    `SDN` Enum constant of SDN Message Code
    `SDR` Enum constant of SDR Message Code
    `SIU` Enum constant of SIU Message Code
    `SLN` Enum constant of STC Message Code
    `SLR` Enum constant of SLR Message Code
    `SMD` Enum constant of SMD Message Code
    `SPQ` Enum constant of SPQ Message Code
    `SQM` Enum constant of SQM Message Code
    `SQR` Enum constant of SQR Message Code
    `SRM` Enum constant of SRM Message Code
    `SRR` Enum constant of SRR Message Code
    `SSR` Enum constant of SSR Message Code
    `SSU` Enum constant of SSU Message Code
    `STC` Enum constant of STC Message Code
    `STI` Enum constant of STI Message Code
    `SUR` Enum constant of SUR Message Code
    `TBR` Enum constant of TBR Message Code
    `TCR` Enum constant of TCR Message Code
    `TCU` Enum constant of TCU Message Code
    `UDM` Enum constant of UDM Message Code
    `VQQ` Enum constant of VQQ Message Code
    `VXQ` Enum constant of VXQ Message Code
    `VXR` Enum constant of VXR Message Code
    `VXU` Enum constant of VXU Message Code
    `VXX` Enum constant of VXX Message Code

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns the String value of this enum.
    `static EnumMessageCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumMessageCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACK

          public static final EnumMessageCode ACK

      Enum constant of ACK Message Code

    - #### ADR

          public static final EnumMessageCode ADR

      Enum constant of ADR Message Code

    - #### ADT

          public static final EnumMessageCode ADT

      Enum constant of ADT Message Code

    - #### BAR

          public static final EnumMessageCode BAR

      Enum constant of BAR Message Code

    - #### CRM

          public static final EnumMessageCode CRM

      Enum constant of CRM Message Code

    - #### BPS

          public static final EnumMessageCode BPS

      Enum constant of BPS Message Code

    - #### BRP

          public static final EnumMessageCode BRP

      Enum constant of BRP Message Code

    - #### BRT

          public static final EnumMessageCode BRT

      Enum constant of BRT Message Code

    - #### BTS

          public static final EnumMessageCode BTS

      Enum constant of BTS Message Code

    - #### CSU

          public static final EnumMessageCode CSU

      Enum constant of CSU Message Code

    - #### DFT

          public static final EnumMessageCode DFT

      Enum constant of DFT Message Code

    - #### DOC

          public static final EnumMessageCode DOC

      Enum constant of DOC Message Code

    - #### DSR

          public static final EnumMessageCode DSR

      Enum constant of DSR Message Code

    - #### EAC

          public static final EnumMessageCode EAC

      Enum constant of EAC Message Code

    - #### EAN

          public static final EnumMessageCode EAN

      Enum constant of EAN Message Code

    - #### EAR

          public static final EnumMessageCode EAR

      Enum constant of EAR Message Code

    - #### EDR

          public static final EnumMessageCode EDR

      Enum constant of EDR Message Code

    - #### EQQ

          public static final EnumMessageCode EQQ

      Enum constant of EQQ Message Code

    - #### ERP

          public static final EnumMessageCode ERP

      Enum constant of ERP Message Code

    - #### ESR

          public static final EnumMessageCode ESR

      Enum constant of ESR Message Code

    - #### ESU

          public static final EnumMessageCode ESU

      Enum constant of ESU Message Code

    - #### INR

          public static final EnumMessageCode INR

      Enum constant of INR Message Code

    - #### INU

          public static final EnumMessageCode INU

      Enum constant of INU Message Code

    - #### LSR

          public static final EnumMessageCode LSR

      Enum constant of LSR Message Code

    - #### LSU

          public static final EnumMessageCode LSU

      Enum constant of LSU Message Code

    - #### MCF

          public static final EnumMessageCode MCF

      Enum constant of MCF Message Code

    - #### MDM

          public static final EnumMessageCode MDM

      Enum constant of MDM Message Code

    - #### MFD

          public static final EnumMessageCode MFD

      Enum constant of MFD Message Code

    - #### MFK

          public static final EnumMessageCode MFK

      Enum constant of MFK Message Code

    - #### MFN

          public static final EnumMessageCode MFN

      Enum constant of MFN Message Code

    - #### MFQ

          public static final EnumMessageCode MFQ

      Enum constant of MFQ Message Code

    - #### MFR

          public static final EnumMessageCode MFR

      Enum constant of MFR Message Code

    - #### NMD

          public static final EnumMessageCode NMD

      Enum constant of NMD Message Code

    - #### NMQ

          public static final EnumMessageCode NMQ

      Enum constant of NMQ Message Code

    - #### NMR

          public static final EnumMessageCode NMR

      Enum constant of NMR Message Code

    - #### OMB

          public static final EnumMessageCode OMB

      Enum constant of OMB Message Code

    - #### OMD

          public static final EnumMessageCode OMD

      Enum constant of OMD Message Code

    - #### OMG

          public static final EnumMessageCode OMG

      Enum constant of OMG Message Code

    - #### OMI

          public static final EnumMessageCode OMI

      Enum constant of OMI Message Code

    - #### OML

          public static final EnumMessageCode OML

      Enum constant of OML Message Code

    - #### OMN

          public static final EnumMessageCode OMN

      Enum constant of OMN Message Code

    - #### OMP

          public static final EnumMessageCode OMP

      Enum constant of OMP Message Code

    - #### OMS

          public static final EnumMessageCode OMS

      Enum constant of OMS Message Code

    - #### OMR

          public static final EnumMessageCode OMR

      Enum constant of OMR Message Code

    - #### ORB

          public static final EnumMessageCode ORB

      Enum constant of ORB Message Code

    - #### ORD

          public static final EnumMessageCode ORD

      Enum constant of ORD Message Code

    - #### ORF

          public static final EnumMessageCode ORF

      Enum constant of ORF Message Code

    - #### ORG

          public static final EnumMessageCode ORG

      Enum constant of ORG Message Code

    - #### ORI

          public static final EnumMessageCode ORI

      Enum constant of ORI Message Code

    - #### ORL

          public static final EnumMessageCode ORL

      Enum constant of ORL Message Code

    - #### OPL

          public static final EnumMessageCode OPL

      Enum constant of OPL Message Code

    - #### OPR

          public static final EnumMessageCode OPR

      Enum constant of OPR Message Code

    - #### OSU

          public static final EnumMessageCode OSU

      Enum constant of OSU Message Code

    - #### OMQ

          public static final EnumMessageCode OMQ

      Enum constant of OMQ Message Code

    - #### ORX

          public static final EnumMessageCode ORX

      Enum constant of ORX Message Code

    - #### ORM

          public static final EnumMessageCode ORM

      Enum constant of ORM Message Code

    - #### ORN

          public static final EnumMessageCode ORN

      Enum constant of ORN Message Code

    - #### ORP

          public static final EnumMessageCode ORP

      Enum constant of ORP Message Code

    - #### ORR

          public static final EnumMessageCode ORR

      Enum constant of ORR Message Code

    - #### ORS

          public static final EnumMessageCode ORS

      Enum constant of ORS Message Code

    - #### ORU

          public static final EnumMessageCode ORU

      Enum constant of ORU Message Code

    - #### OSQ

          public static final EnumMessageCode OSQ

      Enum constant of OSQ Message Code

    - #### OSR

          public static final EnumMessageCode OSR

      Enum constant of OSR Message Code

    - #### OUL

          public static final EnumMessageCode OUL

      Enum constant of OUL Message Code

    - #### PEX

          public static final EnumMessageCode PEX

      Enum constant of PEX Message Code

    - #### PGL

          public static final EnumMessageCode PGL

      Enum constant of PGL Message Code

    - #### PIN

          public static final EnumMessageCode PIN

      Enum constant of PIN Message Code

    - #### PMU

          public static final EnumMessageCode PMU

      Enum constant of PMU Message Code

    - #### PPG

          public static final EnumMessageCode PPG

      Enum constant of PPG Message Code

    - #### PPP

          public static final EnumMessageCode PPP

      Enum constant of PPP Message Code

    - #### PPR

          public static final EnumMessageCode PPR

      Enum constant of PPR Message Code

    - #### PPT

          public static final EnumMessageCode PPT

      Enum constant of PPT Message Code

    - #### PPV

          public static final EnumMessageCode PPV

      Enum constant of PPV Message Code

    - #### PRR

          public static final EnumMessageCode PRR

      Enum constant of PRR Message Code

    - #### PTR

          public static final EnumMessageCode PTR

      Enum constant of PTR Message Code

    - #### QBP

          public static final EnumMessageCode QBP

      Enum constant of QBP Message Code

    - #### QCK

          public static final EnumMessageCode QCK

      Enum constant of QCK Message Code

    - #### QCN

          public static final EnumMessageCode QCN

      Enum constant of QCN Message Code

    - #### QRY

          public static final EnumMessageCode QRY

      Enum constant of QRY Message Code

    - #### QRF

          public static final EnumMessageCode QRF

      Enum constant of QRY Message Code

    - #### QSB

          public static final EnumMessageCode QSB

      Enum constant of QSB Message Code

    - #### QSX

          public static final EnumMessageCode QSX

      Enum constant of QSX Message Code

    - #### QVR

          public static final EnumMessageCode QVR

      Enum constant of QVR Message Code

    - #### RAR

          public static final EnumMessageCode RAR

      Enum constant of RAR Message Code

    - #### RAS

          public static final EnumMessageCode RAS

      Enum constant of RAS Message Code

    - #### RCI

          public static final EnumMessageCode RCI

      Enum constant of RCI Message Code

    - #### RCL

          public static final EnumMessageCode RCL

      Enum constant of RCL Message Code

    - #### RDE

          public static final EnumMessageCode RDE

      Enum constant of RDE Message Code

    - #### RDR

          public static final EnumMessageCode RDR

      Enum constant of RDR Message Code

    - #### RDS

          public static final EnumMessageCode RDS

      Enum constant of RDS Message Code

    - #### RDY

          public static final EnumMessageCode RDY

      Enum constant of RDY Message Code

    - #### REF

          public static final EnumMessageCode REF

      Enum constant of REF Message Code

    - #### RER

          public static final EnumMessageCode RER

      Enum constant of RER Message Code

    - #### RGR

          public static final EnumMessageCode RGR

      Enum constant of RGR Message Code

    - #### RGV

          public static final EnumMessageCode RGV

      Enum constant of RGV Message Code

    - #### ROR

          public static final EnumMessageCode ROR

      Enum constant of ROR Message Code

    - #### RPA

          public static final EnumMessageCode RPA

      Enum constant of RPA Message Code

    - #### RPI

          public static final EnumMessageCode RPI

      Enum constant of RPI Message Code

    - #### RPL

          public static final EnumMessageCode RPL

      Enum constant of RPL Message Code

    - #### RPR

          public static final EnumMessageCode RPR

      Enum constant of RPR Message Code

    - #### RQA

          public static final EnumMessageCode RQA

      Enum constant of RQA Message Code

    - #### RQC

          public static final EnumMessageCode RQC

      Enum constant of RQC Message Code

    - #### RQI

          public static final EnumMessageCode RQI

      Enum constant of RQI Message Code

    - #### RQP

          public static final EnumMessageCode RQP

      Enum constant of RQP Message Code

    - #### RQQ

          public static final EnumMessageCode RQQ

      Enum constant of RQQ Message Code

    - #### RRA

          public static final EnumMessageCode RRA

      Enum constant of RRA Message Code

    - #### RRD

          public static final EnumMessageCode RRD

      Enum constant of RRD Message Code

    - #### RRE

          public static final EnumMessageCode RRE

      Enum constant of RRE Message Code

    - #### RRG

          public static final EnumMessageCode RRG

      Enum constant of RRG Message Code

    - #### RRI

          public static final EnumMessageCode RRI

      Enum constant of RRI Message Code

    - #### RSP

          public static final EnumMessageCode RSP

      Enum constant of RSP Message Code

    - #### RTB

          public static final EnumMessageCode RTB

      Enum constant of RTB Message Code

    - #### SIU

          public static final EnumMessageCode SIU

      Enum constant of SIU Message Code

    - #### SLR

          public static final EnumMessageCode SLR

      Enum constant of SLR Message Code

    - #### STI

          public static final EnumMessageCode STI

      Enum constant of STI Message Code

    - #### SDR

          public static final EnumMessageCode SDR

      Enum constant of SDR Message Code

    - #### SMD

          public static final EnumMessageCode SMD

      Enum constant of SMD Message Code

    - #### STC

          public static final EnumMessageCode STC

      Enum constant of STC Message Code

    - #### SLN

          public static final EnumMessageCode SLN

      Enum constant of STC Message Code

    - #### SDN

          public static final EnumMessageCode SDN

      Enum constant of SDN Message Code

    - #### SCN

          public static final EnumMessageCode SCN

      Enum constant of SCN Message Code

    - #### SPQ

          public static final EnumMessageCode SPQ

      Enum constant of SPQ Message Code

    - #### SQM

          public static final EnumMessageCode SQM

      Enum constant of SQM Message Code

    - #### SQR

          public static final EnumMessageCode SQR

      Enum constant of SQR Message Code

    - #### SRM

          public static final EnumMessageCode SRM

      Enum constant of SRM Message Code

    - #### SRR

          public static final EnumMessageCode SRR

      Enum constant of SRR Message Code

    - #### SSR

          public static final EnumMessageCode SSR

      Enum constant of SSR Message Code

    - #### SSU

          public static final EnumMessageCode SSU

      Enum constant of SSU Message Code

    - #### SUR

          public static final EnumMessageCode SUR

      Enum constant of SUR Message Code

    - #### TBR

          public static final EnumMessageCode TBR

      Enum constant of TBR Message Code

    - #### TCR

          public static final EnumMessageCode TCR

      Enum constant of TCR Message Code

    - #### TCU

          public static final EnumMessageCode TCU

      Enum constant of TCU Message Code

    - #### UDM

          public static final EnumMessageCode UDM

      Enum constant of UDM Message Code

    - #### VQQ

          public static final EnumMessageCode VQQ

      Enum constant of VQQ Message Code

    - #### VXQ

          public static final EnumMessageCode VXQ

      Enum constant of VXQ Message Code

    - #### VXR

          public static final EnumMessageCode VXR

      Enum constant of VXR Message Code

    - #### VXU

          public static final EnumMessageCode VXU

      Enum constant of VXU Message Code

    - #### VXX

          public static final EnumMessageCode VXX

      Enum constant of VXX Message Code

    - #### CCM

          public static final EnumMessageCode CCM

      Enum constant of CCM Message Code

    - #### CCR

          public static final EnumMessageCode CCR

      Enum constant of CCR Message Code

    - #### CQU

          public static final EnumMessageCode CQU

      Enum constant of CQU Message Code

    - #### CCF

          public static final EnumMessageCode CCF

      Enum constant of CCF Message Code

    - #### CCI

          public static final EnumMessageCode CCI

      Enum constant of CCI Message Code

    - #### CCU

          public static final EnumMessageCode CCU

      Enum constant of CCU Message Code

    - #### CCQ

          public static final EnumMessageCode CCQ

      Enum constant of CCQ Message Code

    - #### ORA

          public static final EnumMessageCode ORA

      Enum constant of ORA Message Code

    - #### OSM

          public static final EnumMessageCode OSM

      Enum constant of OSM Message Code

    - #### OPU

          public static final EnumMessageCode OPU

      Enum constant of OPU Message Code

    - #### DBC

          public static final EnumMessageCode DBC

      Enum constant of DBC Message Code

    - #### DBU

          public static final EnumMessageCode DBU

      Enum constant of DBU Message Code

    - #### DRG

          public static final EnumMessageCode DRG

      Enum constant of DRG Message Code

    - #### DER

          public static final EnumMessageCode DER

      Enum constant of DER Message Code

    - #### DEO

          public static final EnumMessageCode DEO

      Enum constant of DEO Message Code

    - #### DEL

          public static final EnumMessageCode DEL

      Enum constant of DEL Message Code

    - #### DRC

          public static final EnumMessageCode DRC

      Enum constant of DRC Message Code

    - #### DPR

          public static final EnumMessageCode DPR

      Enum constant of DPR Message Code

    - #### EHC

          public static final EnumMessageCode EHC

      Enum constant of EHC Message Code

  - ### Method Detail

    - #### values

          public static EnumMessageCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumMessageCode c : EnumMessageCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumMessageCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the String value of this enum.
      Returns:
        String - string value of Enum Message Code on which it is called.